GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
gdcm::DeltaEncodingCodec Class Reference

DeltaEncodingCodec compression used by some private vendor. More...

`#include <gdcmDeltaEncodingCodec.h>`

Inheritance diagram for gdcm::DeltaEncodingCodec:
[legend]
Collaboration diagram for gdcm::DeltaEncodingCodec:
[legend]

List of all members.

## Public Member Functions

| DeltaEncodingCodec ()
| ~DeltaEncodingCodec ()
bool | CanDecode (TransferSyntax const &ts)
bool | Decode (DataElement const &is, DataElement &os)
| Decode.

## Protected Member Functions

bool | Decode (std::istream &is, std::ostream &os)

## Detailed Description

DeltaEncodingCodec compression used by some private vendor.

## Constructor & Destructor Documentation

gdcm::DeltaEncodingCodec::DeltaEncodingCodec | ( |  | ) |

gdcm::DeltaEncodingCodec::~DeltaEncodingCodec | ( |  | ) |

## Member Function Documentation

bool gdcm::DeltaEncodingCodec::CanDecode | ( | TransferSyntax const & | ts | ) |

bool gdcm::DeltaEncodingCodec::Decode | ( | DataElement const & | is_,
|  | DataElement & | os
| ) |  | `[virtual]`

Decode.

Reimplemented from gdcm::ImageCodec.

bool gdcm::DeltaEncodingCodec::Decode | ( | std::istream & | is,
|  | std::ostream & | os
| ) |  | `[protected, virtual]`

Reimplemented from gdcm::ImageCodec.

The documentation for this class was generated from the following file:

- gdcmDeltaEncodingCodec.h